Campaigns: Index
GET /apps/{app_id}/campaignsPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Query Parameters
Section titled “Query Parameters”| Name | Type | Required | Description |
|---|---|---|---|
group_ids |
string | No | Groups ids (string with comma(s)) |
filter_types |
string | No | Type of campaign i.e sms_notification (string with comma(s)) |
filter_statuses |
string | No | Status of campaign i.e. active,paused (string with comma(s)) |
filter_targets |
string | No | Targets campaign i.e. geofences, beacons, segment |
search_query |
string | No | Search query |
sort |
string | No | Sort param |
order |
string | No | Order for sorting desc or asc |
page |
string | No | Current page, defaults to 1 |
per_page |
string | No | records per page |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/campaigns \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "data": [ { "id": "6802b9c6a46a6f133bdc1363", "actions": { "details": false, "pause": false, "resume": false, "edit": true, "finish": false, "delete": true, "export_data": false, "duplicate": true }, "created_at": "2025-04-18T20:44:54Z", "groups": [], "guid": "J-wTa__o", "hidable": false, "hidden_from_feed": false, "last_builder_page": "2", "name": "Test", "status": "Draft", "target": { "segment": false, "geofence": false, "beacon": false, "event": false }, "type": "Push", "type_list": [ "push" ] }, { "id": "67dab675a46a6fc780ce2d9c", "actions": { "details": true, "pause": true, "resume": false, "edit": true, "finish": true, "delete": true, "export_data": true, "duplicate": true }, "created_at": "2025-03-19T12:20:05Z", "groups": [], "guid": "FtiIxJEq", "hidable": false, "hidden_from_feed": false, "last_builder_page": "1", "name": "Test", "status": "Active", "target": { "segment": true, "geofence": false, "beacon": false, "event": false }, "type": "Push", "type_list": [ "push" ] }, { "id": "67da9d92a46a6f8e1137b7be", "actions": { "details": true, "pause": false, "resume": false, "edit": false, "finish": false, "delete": true, "export_data": true, "duplicate": true }, "created_at": "2025-03-19T10:33:54Z", "groups": [], "guid": "yD7iwQyP", "hidable": false, "hidden_from_feed": false, "last_builder_page": "1", "name": "test push", "status": "Delivered", "target": { "segment": true, "geofence": false, "beacon": false, "event": false }, "type": "Push", "type_list": [ "push" ] } ], "bulk_actions": { "pause": "/api/v2/apps/67da9c76a46a6f8e1137b7a1/campaigns/batch_pause", "resume": "/api/v2/apps/67da9c76a46a6f8e1137b7a1/campaigns/batch_resume", "delete": "/api/v2/apps/67da9c76a46a6f8e1137b7a1/campaigns/batch_destroy", "add_to_group": "/api/v2/apps/67da9c76a46a6f8e1137b7a1/groups/add_resources", "hide_from_feed": "/api/v2/apps/67da9c76a46a6f8e1137b7a1/campaigns/hide_from_feed", "remove_from_group": "/api/v2/apps/67da9c76a46a6f8e1137b7a1/groups/remove_resources" }, "metadata": { "page": 1, "per_page": 50, "total_pages": 1, "data_count": 3, "groups": [] }}
